#!/usr/bin/python

import socket

print('Tworzenie gniazda...')
s=socket.socket(socket.AF_INET, socket.SOCK_STREAM)
print('Gniazdo utworzone.')
print('Łączenie z serwerem...')

target_host = "www.google.com" 
target_port = 80

s.connect((target_host, target_port))
print('Połaczenie nawiązane.')

request = "GET / HTTP/1.1\r\nHost:%s\r\n\r\n" % target_host
s.send(request.encode())

data=s.recv(4096)
print("Dane:", str(bytes(data)))
print("Ilość danych:", len(data))

print('Zamykanie gniazda...')
s.close()
